BeanPayloadExpressionEvaluator (Mule ESB 2.2.1 API)
Keywords: org.mule.module.xml.expression.BeanPayloadExpressionEvaluator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.expression
Class BeanPayloadExpressionEvaluator

    java.lang.Object
      org.mule.module.xml.expression.AbstractXPathExpressionEvaluator
          org.mule.module.xml.expression.BeanPayloadExpressionEvaluator

All Implemented Interfaces:
  MuleContextAware, ExpressionEvaluator, Disposable, NamedObject

    public class BeanPayloadExpressionEvaluator

extends AbstractXPathExpressionEvaluator

TODO

Field Summary
`static String` | `NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`BeanPayloadExpressionEvaluator()`

Method Summary
`protected org.jaxen.XPath` | `createXPath(String expression, Object object)`
`protected Object` | `extractResultFromNode(Object result)`
`String` | `getName()` Gets the name of the object

Methods inherited from class org.mule.module.xml.expression.AbstractXPathExpressionEvaluator
`addNamespaces, dispose, evaluate, extractResultsFromNodes, getMuleContext, getNamespaceManager, getXPath, setMuleContext, setName, setNamespaceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

Constructor Detail

### BeanPayloadExpressionEvaluator

    public BeanPayloadExpressionEvaluator()

Method Detail

### createXPath

    protected org.jaxen.XPath createXPath(String expression,
                                          Object object)
                                   throws org.jaxen.JaxenException

  Specified by:
    `createXPath` in class `AbstractXPathExpressionEvaluator`
  Throws:
    `org.jaxen.JaxenException`

### extractResultFromNode

    protected Object extractResultFromNode(Object result)

  Specified by:
    `extractResultFromNode` in class `AbstractXPathExpressionEvaluator`

### getName

    public String getName()

  Gets the name of the object

  Returns:
    the name of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.